Subject: Re: bug#52530: [PATCH core-updates-frozen] WIP: Add rust-gtk4 and dependencies

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 18 Dec 2021 23:42:44 -0500

Hi Nicholas,

Nicholas von Klitzing <[email-masked]> writes:

> Hello Guix!
>
> These are my WIP patches to add the gtk4 crates. Several Gnome and Gtk applications depend on this crate (Authenticator, Fractal, Shortwave, etc).
>
> I based the patches on c-u-f because the master branch isn't building on my machine for unrelated reasons I have yet to explore. Regardless, there should be no conflicts.
>
> Several of the dependency package definitions are unedited from `guix import`, so please do let me know if you think I should change them.

Yes, the packages need a proper synopsis and description (stylized with
Texinfo) for inclusion.  Make sure 'guix lint' is happy with them as
well, and have a read at info '(guix)Contributing', particularly the
'Synopses andDescriptions' subsection.

Thank you!

Maxim